#include <bindings.macros.h>
#include <locale.h>

-- | <http://www.opengroup.org/onlinepubs/9699919799/basedefs/locale.h.html>

module Bindings.C.Locale where
#strict_import

#starttype struct lconv
#field currency_symbol , CString
#field decimal_point , CString
#field frac_digits , CChar
#field grouping , CString
#field int_curr_symbol , CString
#field int_frac_digits , CChar
#field int_n_cs_precedes , CChar
#field int_n_sep_by_space , CChar
#field int_n_sign_posn , CChar
#field int_p_cs_precedes , CChar
#field int_p_sep_by_space , CChar
#field int_p_sign_posn , CChar
#field mon_decimal_point , CString
#field mon_grouping , CString
#field mon_thousands_sep , CString
#field negative_sign , CString
#field n_cs_precedes , CChar
#field n_sep_by_space , CChar
#field n_sign_posn , CChar
#field positive_sign , CString
#field p_cs_precedes , CChar
#field p_sep_by_space , CChar
#field p_sign_posn , CChar
#field thousands_sep , CString
#stoptype

#num LC_ALL
#num LC_COLLATE
#num LC_CTYPE
#num LC_MONETARY
#num LC_NUMERIC
#num LC_TIME

#ccall localeconv , IO (Ptr <lconv>)
#ccall setlocale , CInt -> CString -> IO CString

